Subject: Re: bug#74208: 31.0.50; minibuffer read-file-name-default mutates global value of default-directory incorrectly

From: Michael Albinus <[email-masked]>
Date: Sun, 08 Dec 2024 18:28:54 +0100

Madhu <[email-masked]> writes:

Hi Madhu,

> Yes this works, M-! pwd prints /tmp while in the recursive minibuffer
> at the ffap prompt.

Thanks for the feedback. I've pushed the change to Emacs master.

> This looks like the right solution to the problem but perhaps use "~"
> instead of /tmp in line with what the other code does. Thanks

No, it isn't guaranteed that the directory "~/" does exist, it depends
on the external environment Emacs is called from. And likely, we would
need to use (expand-file-name "~/"), which might be problematic when the
default directory is a URL.

Btw, I don't see any other use of "~/" in ffap.el. What do you mean with
"what the other code does"?

I didn't follow closely the bug discussion. Is there something left to
be done, before closing?

Best regards, Michael.